<?php
/**
 * Aliases for Special:Interwiki
 *
 * @file
 * @ingroup Extensions
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'Interwiki' => [ 'Interwiki' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'Interwiki' => [ 'إنترويكي' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'Interwiki' => [ 'إنترويكى' ],
];

/** Assamese (অসমীয়া) */
$specialPageAliases['as'] = [
	'Interwiki' => [ 'আন্তঃৱিকি' ],
];

/** Avaric (авар) */
$specialPageAliases['av'] = [
	'Interwiki' => [ 'Интервики' ],
];

/** Bulgarian (български) */
$specialPageAliases['bg'] = [
	'Interwiki' => [ 'Междууикита' ],
];

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = [
	'Interwiki' => [ 'مانجین_ویکی' ],
];

/** Bengali (বাংলা) */
$specialPageAliases['bn'] = [
	'Interwiki' => [ 'আন্তঃউইকি' ],
];

/** Breton (brezhoneg) */
$specialPageAliases['br'] = [
	'Interwiki' => [ 'Etrewiki' ],
];

/** Bosnian (bosanski) */
$specialPageAliases['bs'] = [
	'Interwiki' => [ 'Medjuwiki' ],
];

/** Min Dong Chinese (Mìng-dĕ̤ng-ngṳ̄) */
$specialPageAliases['cdo'] = [
	'Interwiki' => [ '跨維基' ],
];

/** Chechen (нохчийн) */
$specialPageAliases['ce'] = [
	'Interwiki' => [ 'Юкъарвикаш' ],
];

/** Central Kurdish (کوردیی ناوەندی) */
$specialPageAliases['ckb'] = [
	'Interwiki' => [ 'نێوانویکی' ],
];

/** Czech (čeština) */
$specialPageAliases['cs'] = [
	'Interwiki' => [ 'Mezijazykové_odkazy' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'Interwiki' => [ 'Interwikitabelle', 'Interwiki-Tabelle' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'Interwiki' => [ 'İnterwiki' ],
];

/** Esperanto (Esperanto) */
$specialPageAliases['eo'] = [
	'Interwiki' => [ 'Intervikia_ligilo' ],
];

/** Spanish (español) */
$specialPageAliases['es'] = [
	'Interwiki' => [ 'Enlaces_interlingüísticos' ],
];

/** Estonian (eesti) */
$specialPageAliases['et'] = [
	'Interwiki' => [ 'Interviki' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'Interwiki' => [ 'میان‌ویکی' ],
];

/** Arpitan (arpetan) */
$specialPageAliases['frp'] = [
	'Interwiki' => [ 'Entèrvouiqui' ],
];

/** Gagauz (Gagauz) */
$specialPageAliases['gag'] = [
	'Interwiki' => [ 'İnterviki' ],
];

/** Galician (galego) */
$specialPageAliases['gl'] = [
	'Interwiki' => [ 'Interwikis' ],
];

/** Hawaiian (Hawai`i) */
$specialPageAliases['haw'] = [
	'Interwiki' => [ 'Waenawiki' ],
];

/** Hebrew (עברית) */
$specialPageAliases['he'] = [
	'Interwiki' => [ 'בינוויקי' ],
];

/** Haitian (Kreyòl ayisyen) */
$specialPageAliases['ht'] = [
	'Interwiki' => [ 'Entèwiki' ],
];

/** Hungarian (magyar) */
$specialPageAliases['hu'] = [
	'Interwiki' => [ 'Wikiközi_hivatkozások' ],
];

/** Indonesian (Bahasa Indonesia) */
$specialPageAliases['id'] = [
	'Interwiki' => [ 'Interwiki' ],
];

/** Japanese (日本語) */
$specialPageAliases['ja'] = [
	'Interwiki' => [ 'インターウィキ' ],
];

/** Georgian (ქართული) */
$specialPageAliases['ka'] = [
	'Interwiki' => [ 'ინტერვიკი' ],
];

/** Khmer (ភាសាខ្មែរ) */
$specialPageAliases['km'] = [
	'Interwiki' => [ 'អន្តរវិគី' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'Interwiki' => [ '인터위키' ],
];

/** Colognian (Ripoarisch) */
$specialPageAliases['ksh'] = [
	'Interwiki' => [ 'EngerWiki', 'Engerwiki' ],
];

/** Cornish (kernowek) */
$specialPageAliases['kw'] = [
	'Interwiki' => [ 'Yntrawiki' ],
];

/** Latin (Latina) */
$specialPageAliases['la'] = [
	'Interwiki' => [ 'Intervici' ],
];

/** Ladino (Ladino) */
$specialPageAliases['lad'] = [
	'Interwiki' => [ 'Interviki' ],
];

/** Northern Luri (لۊری شومالی) */
$specialPageAliases['lrc'] = [
	'Interwiki' => [ 'مینجا_ڤیکی' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'Interwiki' => [ 'Меѓувики' ],
];

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = [
	'Interwiki' => [ 'അന്തർ‌വിക്കി' ],
];

/** Marathi (मराठी) */
$specialPageAliases['mr'] = [
	'Interwiki' => [ 'आंतरविकि' ],
];

/** Punjabi (ਪੰਜਾਬੀ) */
$specialPageAliases['pa'] = [
	'Interwiki' => [ 'ਇੰਟਰਵਿਕੀ' ],
];

/** Portuguese (português) */
$specialPageAliases['pt'] = [
	'Interwiki' => [ 'Interwikis' ],
];

/** Russian (русский) */
$specialPageAliases['ru'] = [
	'Interwiki' => [ 'Интервики' ],
];

/** Sanskrit (संस्कृतम्) */
$specialPageAliases['sa'] = [
	'Interwiki' => [ 'आंन्तरविकि' ],
];

/** Serbian (Cyrillic script) (српски (ћирилица)‎) */
$specialPageAliases['sr-ec'] = [
	'Interwiki' => [ 'Међувики' ],
];

/** Serbian (Latin script) (srpski (latinica)‎) */
$specialPageAliases['sr-el'] = [
	'Interwiki' => [ 'Međuviki' ],
];

/** Swahili (Kiswahili) */
$specialPageAliases['sw'] = [
	'Interwiki' => [ 'Viungovyawiki' ],
];

/** Telugu (తెలుగు) */
$specialPageAliases['te'] = [
	'Interwiki' => [ 'అంతర్వికీ' ],
];

/** Tagalog (Tagalog) */
$specialPageAliases['tl'] = [
	'Interwiki' => [ 'Kawing-wiki' ],
];

/** Turkish (Türkçe) */
$specialPageAliases['tr'] = [
	'Interwiki' => [ 'İnterviki' ],
];

/** Tatar (Cyrillic script) (татарча) */
$specialPageAliases['tt-cyrl'] = [
	'Interwiki' => [ 'Интервики' ],
];

/** Ukrainian (українська) */
$specialPageAliases['uk'] = [
	'Interwiki' => [ 'Інтервікі', 'Интервики' ],
];

/** Urdu (اردو) */
$specialPageAliases['ur'] = [
	'Interwiki' => [ 'بین_الویکی' ],
];

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = [
	'Interwiki' => [ 'Liên_wiki' ],
];

/** Yiddish (ייִדיש) */
$specialPageAliases['yi'] = [
	'Interwiki' => [ 'אינטערוויקי' ],
];

/** Cantonese (粵語) */
$specialPageAliases['yue'] = [
	'Interwiki' => [ '其他維基連接' ],
];

/** Simplified Chinese (中文（简体）‎) */
$specialPageAliases['zh-hans'] = [
	'Interwiki' => [ '跨wiki', '跨维基' ],
];

/** Traditional Chinese (中文（繁體）‎) */
$specialPageAliases['zh-hant'] = [
	'Interwiki' => [ '跨Wiki', '跨維基' ],
];
