<?php
/**
 * Aliases for special pages
 *
 * @file
 * @ingroup Extensions
 */

$specialPageAliases = [];

/** English (English) */
$specialPageAliases['en'] = [
	'Thanks' => [ 'Thanks' ],
];

/** Afrikaans (Afrikaans) */
$specialPageAliases['af'] = [
	'Thanks' => [ 'Dankie' ],
];

/** Arabic (العربية) */
$specialPageAliases['ar'] = [
	'Thanks' => [ 'شكرا' ],
];

/** Egyptian Arabic (مصرى) */
$specialPageAliases['arz'] = [
	'Thanks' => [ 'شكرا' ],
];

/** Western Balochi (بلوچی رخشانی) */
$specialPageAliases['bgn'] = [
	'Thanks' => [ 'سپاس', 'منتوارن', 'تشکر' ],
];

/** German (Deutsch) */
$specialPageAliases['de'] = [
	'Thanks' => [ 'Danke' ],
];

/** Zazaki (Zazaki) */
$specialPageAliases['diq'] = [
	'Thanks' => [ 'Teşekuri' ],
];

/** Spanish (español) */
$specialPageAliases['es'] = [
	'Thanks' => [ 'Gracias' ],
];

/** Estonian (eesti) */
$specialPageAliases['et'] = [
	'Thanks' => [ 'Tänu' ],
];

/** Persian (فارسی) */
$specialPageAliases['fa'] = [
	'Thanks' => [ 'تشکر' ],
];

/** Hebrew (עברית) */
$specialPageAliases['he'] = [
	'Thanks' => [ 'תודה', 'תודות' ],
];

/** Hindi (हिन्दी) */
$specialPageAliases['hi'] = [
	'Thanks' => [ 'धन्यवाद' ],
];

/** Croatian (hrvatski) */
$specialPageAliases['hr'] = [
	'Thanks' => [ 'Zahvale' ],
];

/** Upper Sorbian (hornjoserbsce) */
$specialPageAliases['hsb'] = [
	'Thanks' => [ 'Dźak' ],
];

/** Italian (italiano) */
$specialPageAliases['it'] = [
	'Thanks' => [ 'Ringrazia' ],
];

/** Georgian (ქართული) */
$specialPageAliases['ka'] = [
	'Thanks' => [ 'მადლობა' ],
];

/** Korean (한국어) */
$specialPageAliases['ko'] = [
	'Thanks' => [ '감사' ],
];

/** Luxembourgish (Lëtzebuergesch) */
$specialPageAliases['lb'] = [
	'Thanks' => [ 'Merci' ],
];

/** Literary Chinese (文言) */
$specialPageAliases['lzh'] = [
	'Thanks' => [ '謝' ],
];

/** Macedonian (македонски) */
$specialPageAliases['mk'] = [
	'Thanks' => [ 'Благодарења' ],
];

/** Malayalam (മലയാളം) */
$specialPageAliases['ml'] = [
	'Thanks' => [ 'കൃത്ജ്ഞതകൾ' ],
];

/** Marathi (मराठी) */
$specialPageAliases['mr'] = [
	'Thanks' => [ 'धन्यवाद' ],
];

/** Malay (Bahasa Melayu) */
$specialPageAliases['ms'] = [
	'Thanks' => [ 'Berterima_kasih' ],
];

/** Norwegian Bokmål (norsk bokmål) */
$specialPageAliases['nb'] = [
	'Thanks' => [ 'Takk' ],
];

/** Dutch (Nederlands) */
$specialPageAliases['nl'] = [
	'Thanks' => [ 'Bedanken' ],
];

/** Portuguese (português) */
$specialPageAliases['pt'] = [
	'Thanks' => [ 'Agradecer' ],
];

/** Quechua (Runa Simi) */
$specialPageAliases['qu'] = [
	'Thanks' => [ 'Uspalay' ],
];

/** Serbian (Cyrillic script) (српски (ћирилица)) */
$specialPageAliases['sr-ec'] = [
	'Thanks' => [ 'Хвала' ],
];

/** Serbian (Latin script) (srpski (latinica)) */
$specialPageAliases['sr-el'] = [
	'Thanks' => [ 'Hvala' ],
];

/** Swedish (svenska) */
$specialPageAliases['sv'] = [
	'Thanks' => [ 'Tack' ],
];

/** Urdu (اردو) */
$specialPageAliases['ur'] = [
	'Thanks' => [ 'شکریہ' ],
];

/** Vietnamese (Tiếng Việt) */
$specialPageAliases['vi'] = [
	'Thanks' => [ 'Cảm_ơn', 'Cám_ơn' ],
];

/** Simplified Chinese (中文（简体）) */
$specialPageAliases['zh-hans'] = [
	'Thanks' => [ '感谢' ],
];

/** Traditional Chinese (中文（繁體）) */
$specialPageAliases['zh-hant'] = [
	'Thanks' => [ '感謝' ],
];
